Bug 158055 - Web Inspector: Uncaught exception page should pre-populate the bug's URL with the inspected page URL
Summary: Web Inspector: Uncaught exception page should pre-populate the bug's URL with...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Inspector (show other bugs)
Version: WebKit Nightly Build
Hardware: All All
: P2 Normal
Assignee: Brian Burg
URL:
Keywords: InRadar
Depends on:
Blocks: InspectorDebug
  Show dependency treegraph
 
Reported: 2016-05-24 20:57 PDT by Brian Burg
Modified: 2016-05-30 13:25 PDT (History)
8 users (show)

See Also:


Attachments
Proposed Fix (3.53 KB, patch)
2016-05-29 08:21 PDT, Brian Burg
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Brian Burg 2016-05-24 20:57:57 PDT
I guess I forgot to do this.
Comment 1 Brian Burg 2016-05-27 07:18:27 PDT
Ping for import.
Comment 2 Radar WebKit Bug Importer 2016-05-27 07:22:11 PDT
<rdar://problem/26516693>
Comment 3 Joseph Pecoraro 2016-05-28 02:30:29 PDT
Drive-by: It should also include the Exception stack. I don't think it does, and by reflex now I just close the view, inspect the inspector, and see what the error was so I can get the backtrace.
Comment 4 Brian Burg 2016-05-28 18:50:52 PDT
(In reply to comment #3)
> Drive-by: It should also include the Exception stack. I don't think it does,
> and by reflex now I just close the view, inspect the inspector, and see what
> the error was so I can get the backtrace.

I filed a separate bug about that, as the data for this is already in the report.
Comment 5 Brian Burg 2016-05-29 08:21:24 PDT
Created attachment 280059 [details]
Proposed Fix
Comment 6 Saam Barati 2016-05-30 12:58:38 PDT
Comment on attachment 280059 [details]
Proposed Fix

r=me
Comment 7 WebKit Commit Bot 2016-05-30 13:25:09 PDT
Comment on attachment 280059 [details]
Proposed Fix

Clearing flags on attachment: 280059

Committed r201502: <http://trac.webkit.org/changeset/201502>
Comment 8 WebKit Commit Bot 2016-05-30 13:25:12 PDT
All reviewed patches have been landed.  Closing bug.